Nimbu Developer Docs
ReferenceSenders

Create a sender domain

POST
/senders

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

domain*string

Response Body

application/json

application/json

curl -X POST "https://example.com/senders" \  -H "Content-Type: application/json" \  -d '{    "domain": "string"  }'
{
  "id": "string",
  "domain": "string",
  "provider": "string",
  "status": "string",
  "ownership_verified": true,
  "ownership_verified_at": "2019-08-24T14:15:22Z",
  "verified_at": "2019-08-24T14:15:22Z",
  "last_check_at": "2019-08-24T14:15:22Z",
  "last_check_error": "string",
  "expected_txt_record": "string",
  "dns_records": [
    {}
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}